import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

import '../../../config/size_config.dart';
import '../../shared/app_texts_widget.dart';

/* 
 *@author: Elham Rababah 
 *@Date:22/4/2020  
 *@param: title, info
 *@return:ProfileGeneralInfoContentWidget
 *@desc:   Profile General Info Content Widget
 */
class ProfileGeneralInfoContentWidget extends StatelessWidget {
  String title;
  String info;

  ProfileGeneralInfoContentWidget({this.title, this.info});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 14),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: <Widget>[
          SizedBox(
            height: 10,
          ),
          AppText(
            title,
            fontSize: SizeConfig.textMultiplier * 3,
            fontWeight: FontWeight.w700,
            color: HexColor('#58434F'),
          ),
          AppText(
            info,
            color: HexColor('#707070'),
            fontSize: SizeConfig.textMultiplier * 2,
          )
        ],
      ),
    );
  }
}
